package com.emato.ccnet.wx.controller;

import com.emato.ccnet.wx.biz.req.order.csp.Ceb311CustiomsResponse;
import com.emato.ccnet.wx.biz.req.order.csp.Ceb311OrderBiz;
import com.emato.ccnet.wx.biz.req.wxorder.order.WxOrderGrabBiz;
import com.emato.ccnet.wx.biz.req.wxorder.order.WxOrderResendBiz;
import com.emato.ccnet.wx.biz.req.wxorder.ordergoods.WxOrderGoodsGrabBiz;
import com.emato.ccnet.wx.manager.result.Result;
import com.emato.ccnet.wx.support.msg.resp.ResponseMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class WxOrderController {
    private static final Logger LOGGER = LoggerFactory.getLogger(WxOrderController.class);

    @Autowired
    private WxOrderGrabBiz wxOrderGrabBiz;
    @Autowired
    private WxOrderGoodsGrabBiz wxOrderGoodsGrabBiz;
    @Autowired
    private WxOrderResendBiz wxOrderResendBiz;


    @RequestMapping("/wx/wxOrderBill")
    public ResponseMessage wxOrderGrab() {
        LOGGER.info("---------- wx订单数据开始 ----------------------------------------");
        ResponseMessage result = wxOrderGrabBiz.biz();
        LOGGER.info("---------- wx订单数据结束 ----------------------------------------");
        return result;
    }

    @RequestMapping("/wx/wxOrderGoodsBill")
    public ResponseMessage wxOrderGoodsBill() {
        LOGGER.info("---------- wx订单详情数据开始 ----------------------------------------");
        ResponseMessage result = wxOrderGoodsGrabBiz.biz();
        LOGGER.info("---------- wx订单详情数据结束 ----------------------------------------");
        return result;
    }

    /**
     * 新增wx订单运单、电子订单、支付单发送失败查询接口，提供给小程序后台查询订单重发功能
     * @return
     */
    @RequestMapping("/wx/wxOrderResendQueryAll")
    public ResponseMessage wxOrderResendQueryAll() {
        LOGGER.info("---------- wx订单运单、电子订单、支付单发送失败数据开始 ----------------------------------------");
        ResponseMessage result = wxOrderResendBiz.resendQueryAll();
        LOGGER.info("---------- wx订单运单、电子订单、支付单发送失败数据结束 ----------------------------------------");
        return result;
    }

}
